<template functional>
  <div
    :ref="data.ref"
    class="a-center-l"
    :class="[
      { 'flex flex-col items-center': props.intrinsic },
      data.class,
      data.staticClass,
    ]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <!--
      @slot The centered elements.
    -->
    <slot />
  </div>
</template>

<script>
export default {
  name: 'ACenterL',
  props: {
    /** Centers child elements based on their content width. */
    intrinsic: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style scoped>
.a-center-l {
  box-sizing: content-box;
  margin-left: auto;
  margin-right: auto;
}
/* prettier-ignore */
.a-center-l:not(.reset) {
  --a-center-l--def-max-w: var(--ag-base--measure, 60ch); /* theme('maxWidth.measure') */
  --a-center-l--def-px: 0; /* theme('padding.0') */

  max-width: var(--a-center-l--max-w, var(--a-center-l--def-max-w));
  padding-left: var(--a-center-l--px, var(--a-center-l--def-px));
  padding-right: var(--a-center-l--px, var(--a-center-l--def-px));
}
</style>
